Merge branch 'slava/plugin-incompatible-with'
[idea/community.git] / platform / extensions / src / com / intellij / openapi / extensions / PluginDescriptor.java
index 6c679a7e199088d6f52c1530bd1d93379624c13c..e199072e5a00bfa6e04f02a9a685ac590e204388 100644 (file)
@@ -8,6 +8,7 @@ import org.jetbrains.annotations.Nullable;
 import java.io.File;
 import java.nio.file.Path;
 import java.util.Date;
 import java.io.File;
 import java.nio.file.Path;
 import java.util.Date;
+import java.util.List;
 
 public interface PluginDescriptor {
   /**
 
 public interface PluginDescriptor {
   /**
@@ -49,6 +50,9 @@ public interface PluginDescriptor {
 
   boolean isLicenseOptional();
 
 
   boolean isLicenseOptional();
 
+  @NotNull
+  List<PluginId> getIncompatibleModuleIds();
+
   /**
    * @deprecated Do not use.
    */
   /**
    * @deprecated Do not use.
    */